// File edited 02/20/2015 with four space tab spacing

#include "pinio.h"
#include "simpletools.h"

static char ps_is_on = 0;

/// step/psu timeout
volatile uint8_t psu_timeout = 0;

void power_on()
{
	if(ps_is_on == 0)
	{
		#ifdef PS_ON_PIN

		SET_OUTA(PS_ON_PIN, 0);
		SET_DIRA_OUTPUT(PS_ON_PIN);

		waitcnt(ms * 500 + CNT);

		#endif

		#ifdef PS_MOSFET_PIN

		SET_OUTA(PS_MOSFET_PIN, 1);
		waitcnt(ms * 10 + CNT);

		#endif

		ps_is_on = 1;
	}

	psu_timeout = 0;
}

void power_off()
{

	stepper_disable();
	x_disable();
	y_disable();
	z_disable();
	e_disable();

	#ifdef PS_ON_PIN

	SET_DIRA_INPUT(PS_ON_PIN);

	#endif

	#ifdef PS_MOSFET_PIN

	SET_OUTA(PS_MOSFET_PIN, 0);

	#endif

	ps_is_on = 0;
}